import { OnInit } from '@angular/core';
import { I18nService } from './i18n.service';
import * as i0 from "@angular/core";
export declare class I18nComponent implements OnInit {
    i18nService: I18nService;
    constructor(i18nService: I18nService);
    ngOnInit(): void;
    firstClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<I18nComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<I18nComponent, "app-i18n", never, {}, {}, never, never, false, never>;
}
